<template>
	<!-- <view class=""> -->
	<!-- <web-view :src="sendImg"></web-view> -->
	<!-- </view> -->
	<view class="handlecase">
		<List class="caseList" v-for="(item,index) in caseList" :defalutVal='item' :key="index"></List>
		<view class="emptyBox" v-if="caseList.length == 0">
			<luanqing-empty :show="true" textColor="#000"></luanqing-empty>
		</view>
	</view>
</template>
<script>
	import List from './component/imList.vue'
	import LuanqingEmpty from "@/components/luanqing-empty.vue"
	import {
		respondentList,
		caseApplicationTj
	} from '../../api/handlecase/index.js'
	export default {
		components: {
			List,
			'luanqing-empty': LuanqingEmpty,
		},
		data() {
			return {
				name: "",
				sendImg: "",
				caseList: [],
				pageNum: 1,
				pageSize: 10,
				sysType: null
			}
		},
		methods: {
			getList(parms) {
				if (this.sysType == 1) {
					respondentList(parms).then(res => {
						this.caseList = res.data;
						this.caseList.forEach(item => {
							switch (item.caseStatus) {
								case 0:
									item.caseStatusName = '立案申请'
									break;
								case 1:
									item.caseStatusName = '待缴费'
									break;
								case 2:
									item.caseStatusName = '待缴费确认'
									break;
								case 3:
									item.caseStatusName = '待确认是否应诉'
									break;
								case 4:
									item.caseStatusName = '待确认证据'
									break;
								case 5:
									item.caseStatusName = '待确定是否指派仲裁员'
									break;
								case 6:
									item.caseStatusName = '待组庭'
									break;
								case 7:
									item.caseStatusName = '待组庭确定'
									break;
								case 8:
									item.caseStatusName = '待组庭审核'
									break;
								case 9:
									item.caseStatusName = '待选择仲裁方式'
									break;
								case 10:
									item.caseStatusName = '待开庭'
									break;
								case 11:
									item.caseStatusName = '待生成仲裁文书'
									break;
								case 12:
									item.caseStatusName = '待确认仲裁文书'
									break;
								case 13:
									item.caseStatusName = '待仲裁文书用印'
									break;
								case 14:
									item.caseStatusName = '待仲裁文书用印审核'
									break;
								case 15:
									item.caseStatusName = '待仲裁文书送达'
									break;
								case 16:
									item.caseStatusName = '待案件归档'
									break;
							}
						})
					})
				} else if (this.sysType == 2) {
					parms.hearDateFlag = 1;
					parms.miniProgressFlag = 1;
					parms.mediationMethod = 1;
					delete parms.caseStatus;
					caseApplicationTj(parms).then(res => {
						// this.caseList = res.rows;
						if (res.rows) {
							this.caseList = res.rows;
						} else {
							this.caseList = []
						}
					})
				}

			},
			// 触底
			onReachBottom() {
				if (this.caseList.length < 1) {
					return
				}
				let obj = {
					pageNum: this.pageNum,
					pageSize: this.pageSize,
					caseStatus: 8
				}
				obj.pageNum = obj.pageNum + 1
				this.getList(obj)
			}
		},
		onLoad() {
			this.sysType = uni.getStorageSync('sysType');
			let obj = {
				pageNum: this.pageNum,
				pageSize: this.pageSize,
				caseStatus: 8
			}

			this.getList(obj)
		}
		// onLoad: function() {
		// 	this.name = this.$store.state.user.name;
		// 	this.sendImg = `https://txroom.xayunmei.com`
		// 	// this.sendImg = `http://localhost:8080/#/?name=${this.name}`
		// },

	}
</script>

<style lang="scss" scoped>

</style>